Name:       gprbuild
Version:    2010
Release:    7%{?dist}
Summary:    Ada project builder
Group:      Development/Languages
License:    GPLv2+
URL:        http://libre.adacore.com
## Auth required
## Direct download is not available
Source0:    %{name}-gpl-%{version}-src.tgz
## Patch for shared libs
Patch0:     %{name}-shared.patch
## Patch for gcc-4.5.2
## __gnat_get_env_vars_case_sensitive check isn't needed for package
Patch1:     %{name}-gcc.patch
## RPM specific oatch (add DESTDIR to Makefile)
Patch2:     %{name}-destdir.patch
## Fix issue for localisation version of GCC - APPROVED by AdaCore
Patch3:     %{name}-gccversion.patch
## Fedora specific 
Patch4:     %{name}-gnatflags.patch
## AI-0157  implementaion doesn't realised in gcc-4.6
Patch5:        %{name}-gcc46.patch
BuildRequires:  xmlada-devel
BuildRequires:  gcc-gnat libgnat-static libgnat-devel
BuildRequires:  fedora-gnat-project-common >= 2

Requires: xmlada

%description
GPRbuild is an advanced software tool designed to help automate
the construction of multi-language systems.
It removes complexity from multi-language development by allowing
developers to quickly and easily compile and link software written
in a combination of languages including Ada, Assembler, C, C++, and Fortran.
Easily extendable by users to cover new toolchains and languages
it is primarily aimed at projects of all sizes organized into subsystems
and libraries and is particularly well-suited for compiled languages.

%package devel
Summary:    Devel package for gprbuild
License:    GPLv2
Group:      Development/Languages
Requires:   %{name} = %{version}-%{release}

%description devel
Devel package (examples) for gprbuild

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure --disable-rpath
make %{?_smp_mflags}  GNATFLAGS="%{GNAT_optflags}" ADA_PROJECT_PATH=%_GNAT_project_dir

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_docdir}/%{name}
install -m0644 README %{buildroot}%{_docdir}/%{name}/
install -m0644 COPYING %{buildroot}%{_docdir}/%{name}/
install -m0644 CHANGE_160803 %{buildroot}%{_docdir}/%{name}/
find %{buildroot}%{_datadir}/%{name}/examples -type f -exec chmod -x {} \;
mv -f %{buildroot}%{_docdir}/%{name} %{buildroot}%{_docdir}/%{name}-%{version}

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/gpr*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/gpr*
%dir %{_datadir}/gprconfig
%{_datadir}/gprconfig/*

%files devel
%defattr(-,root,root,-)
%{_datadir}/%{name}/examples/*

%changelog
* Fri Mar 11 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-7
- Fix %%doc section
- Hack for builded docs

* Sun Mar 5 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-5
- Rebuild for new xmlada

* Sun Feb 20 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-4
- Fix gnat optflags
- Fix project dirname

* Mon Feb 7 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-3
- Fix issue with GCC output (change regexp)

* Sun Feb 6 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-2
- Add devel package

* Fri Feb 4 2011 Pavel Zhukov <landgraf@fedoraproject.com> - 2010-1
- Initial package
